Read File Manager Entity - MindBridge Documentation
Read File Manager Entity
GET /v1/file-manager/{fileManagerEntityId}
cURL
curl --request GET \
--url https://{tenant}.mindbridge.ai/api/v1/file-manager/{fileManagerEntityId} \
--header 'Authorization: Bearer <token>'
import requests
url = "https://{tenant}.mindbridge.ai/api/v1/file-manager/{fileManagerEntityId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant}.mindbridge.ai/api/v1/file-manager/{fileManagerEntityId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Response
200 - application/json
{
"id": "<string>",
"version": 123,
"creationDate": "2023-11-07T05:31:56Z",
"lastModifiedDate": "2023-11-07T05:31:56Z",
"createdUserInfo": {
"userId": "<string>",
"userName": "<string>"
},
"lastModifiedUserInfo": {
"userId": "<string>",
"userName": "<string>"
},
"engagementId": "<string>",
"parentFileManagerEntityId": "<string>",
"name": "<string>"
}
Authorizations
Authorization
- string : header required
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
- fileManagerEntityId
- string required
Object Properties
- id : Unique object identifier.
- version : Data integrity version to ensure data consistency.
- creationDate : The date that the object was originally created.
- lastModifiedDate : The date that the object was last updated or modified.
- createdUserInfo : Details about the user who created the object.
- lastModifiedUserInfo : Details about the user who last modified or updated the object.
- engagementId : Identifies the associated engagement.
- parentFileManagerEntityId : Identifies the parent directory. If NULL, the directory is positioned at the root level.
- name : The name of the directory.